Bug 27413 - Cannot add debarment with batch patron modification tool
Summary: Cannot add debarment with batch patron modification tool
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords: regression
Depends on: 19793
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-12 10:34 UTC by Joonas Kylmälä
Modified: 2021-02-11 22:21 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02,20.05.08


Attachments
Bug 27413: Restore debarred and debarredcomment to batch patron mod tools (1.35 KB, patch)
2021-01-15 10:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27413: Restore debarred and debarredcomment to batch patron mod tools (1.50 KB, patch)
2021-01-15 10:39 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 27413: Restore debarred and debarredcomment to batch patron mod tools (1.55 KB, patch)
2021-01-17 17:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joonas Kylmälä 2021-01-12 10:34:28 UTC
The patch "Bug 19793: Add a field for email in batch patron modification" broke the patron batch tool so that it is not possible to add debarred or debarredcomment information with it to the patrons.

David could you please provide a fix for this? I'm happy to review it.
Comment 1 Jonathan Druart 2021-01-15 10:29:14 UTC
Added by 13552, removed by bug 19793...
Comment 2 Jonathan Druart 2021-01-15 10:29:36 UTC
Created attachment 115190 [details] [review]
Bug 27413: Restore debarred and debarredcomment to batch patron mod tools

It was added by bug 13552 but removed by 19793.

Test plan:
Update patron in a batch and confirm that you can modify the restriction
expiration and comment.
Comment 3 Joonas Kylmälä 2021-01-15 10:39:45 UTC
Created attachment 115191 [details] [review]
Bug 27413: Restore debarred and debarredcomment to batch patron mod tools

It was added by bug 13552 but removed by 19793.

Test plan:
Update patron in a batch and confirm that you can modify the restriction
expiration and comment.

Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 4 Katrin Fischer 2021-01-17 17:11:36 UTC
Created attachment 115227 [details] [review]
Bug 27413: Restore debarred and debarredcomment to batch patron mod tools

It was added by bug 13552 but removed by 19793.

Test plan:
Update patron in a batch and confirm that you can modify the restriction
expiration and comment.

Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-01-19 15:24:23 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-01-20 08:27:10 UTC
Pushed to 20.11.x for 20.11.02
Comment 7 Andrew Fuerste-Henry 2021-01-22 17:42:04 UTC
Pushed to 20.05.x for 20.05.08
Comment 8 Victor Grousset/tuxayo 2021-01-22 21:13:41 UTC
Missing dependencies for 19.11.x, it shouldn't be affected, no backport.